## org.hibernate.engine.jdbc.spi
Interface NonDurableConnectionObserver

All Superinterfaces:
  ConnectionObserver

All Known Implementing Classes:
  ConnectionProxyHandler

    public interface NonDurableConnectionObserver

extends ConnectionObserver

Additional optional contract for connection observers to indicate that they should be released when the physical connection is released.

Method Summary

Methods inherited from interface org.hibernate.engine.jdbc.spi.ConnectionObserver
`logicalConnectionClosed, physicalConnectionObtained, physicalConnectionReleased, statementPrepared`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.